Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.view
Class ParametersDialog

    java.lang.Object
      org.eclipse.swt.widgets.Dialog
          emn.fr.ascola.view.ParametersDialog

    public class ParametersDialog

extends org.eclipse.swt.widgets.Dialog

Parameters board for prefuse views.

Author:
  jroyer 31/5/2009 TODO revoir

Constructor Summary
`ParametersDialog(org.eclipse.swt.widgets.Shell parent)`

Method Summary
`void` | `chooseForce()` Choose edge strength.
`void` | `colorOrNot()` Black and white or colored.
`void` | `createContent()` Create the content.
`void` | `finish()` Finish button.
`java.lang.String` | `getStrength()`
`boolean` | `isArtefactNumbering()`
`boolean` | `isLinkNumbering()`
`void` | `linkAndArtefact()` Link and artefact numbering.
`void` | `open()` open the dialog.
`void` | `setStrength(java.lang.String str)`

Methods inherited from class org.eclipse.swt.widgets.Dialog
`getParent, getStyle, getText, setText`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParametersDialog

    public ParametersDialog(org.eclipse.swt.widgets.Shell parent)

Method Detail

### createContent

    public void createContent()

  Create the content.

### open

    public void open()

  open the dialog.

### linkAndArtefact

    public void linkAndArtefact()

  Link and artefact numbering.

### colorOrNot

    public void colorOrNot()

  Black and white or colored.

### chooseForce

    public void chooseForce()

  Choose edge strength.

### finish

    public void finish()

  Finish button.

### isLinkNumbering

    public boolean isLinkNumbering()

### isArtefactNumbering

    public boolean isArtefactNumbering()

### setStrength

    public void setStrength(java.lang.String str)

  Parameters:
    `strength` - the strength to set

### getStrength

    public java.lang.String getStrength()

  Returns:
    the strength

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD